# CvBlobTrackAnalysis Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackAnalysis:

List of all members.

## Public Member Functions

virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackAnalysis ()
virtual float | GetState (int BlobID)=0
virtual const char * | GetStateDesc (int)
virtual void | Process (IplImage *pImg, IplImage *pFG)=0
virtual void | Release ()=0
virtual void | SetFileName (char *)

## Constructor & Destructor Documentation

CvBlobTrackAnalysis::CvBlobTrackAnalysis | ( | ) | `[inline]`

## Member Function Documentation

virtual void CvBlobTrackAnalysis::AddBlob | ( | CvBlob * | pBlob ) | `[pure virtual]`

virtual float CvBlobTrackAnalysis::GetState | ( | int | BlobID ) | `[pure virtual]`

virtual const char* CvBlobTrackAnalysis::GetStateDesc | ( | int | ) | `[inline, virtual]`

virtual void CvBlobTrackAnalysis::Process | ( | IplImage * | pImg,
|  | IplImage * | pFG
| ) |  | `[pure virtual]`

virtual void CvBlobTrackAnalysis::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

virtual void CvBlobTrackAnalysis::SetFileName | ( | char * | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines